// Type definitions for ./src/common/httpcli.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace HttpCli.prototype{
	// HttpCli.prototype.httpGet.!1
	type HttpGet1 = ((restext : any) => void);
}
declare namespace HttpCli.prototype{
	// HttpCli.prototype.httpGet.!2
	type HttpGet2 = ((errcode : number, errmsg : string) => void);
}
declare namespace HttpCli.prototype{
	// HttpCli.prototype.httpGet.!ret
	
	/**
	 * 
	 */
	interface HttpGetRet {
				
		/**
		 * xhr.responseType = "arraybuffer";
		 */
		responseType : string;
				
		/**
		 * 
		 */
		timeout : number;
				
		/**
		 * 
		 */
		onreadystatechange(): void;
				
		/**
		 * xhr.onabort = function(){
		 *     self._runningcount--;
		 * };
		 */
		onerror(): void;
				
		/**
		 * 
		 */
		ontimeout(): void;
	}
}
declare namespace HttpCli.prototype{
	// HttpCli.prototype._parseZipData.!2
	type _parseZipData2 = ((text : any) => void);
}
declare namespace HttpCli.prototype{
	// HttpCli.prototype._parseZipData.!3
	type _parseZipData3 = ((err : string) => void);
}

/**
 * 
 */
declare interface HttpCli {
		
	/**
	 * 
	 */
	new ();
		
	/**
	 * 
	 * @param url 
	 * @param cbRes 
	 * @param cbErr 
	 * @param retrycount 
	 * @return  
	 */
	httpGet(url : any, cbRes : HttpCli.prototype.HttpGet1, cbErr : HttpCli.prototype.HttpGet2, retrycount : any): HttpCli.prototype.HttpGetRet;
		
	/**
	 * 
	 * @param url 
	 * @param postdata 
	 * @param cbRes 
	 * @param cbErr 
	 * @param retrycount 
	 * @return  
	 */
	httpPost(url : any, postdata : any, cbRes : any, cbErr : any, retrycount : any): /* HttpCli.prototype.httpGet.!ret */ any;
		
	/**
	 * 
	 * @param url 
	 * @param urldata 
	 * @param cbRes 
	 * @param cbErr 
	 * @param smethod 
	 * @param isretry 
	 * @param contentType 
	 * @param options 
	 * @param retrycount 
	 * @return  
	 */
	httpsend(url : string, urldata : any, cbRes : () => void, cbErr : () => void, smethod : string, isretry : boolean, contentType : string, options : any, retrycount : number): /* HttpCli.prototype.httpGet.!ret */ any;
		
	/**
	 * 
	 * @param url 
	 * @param urldata 
	 * @param cbRes 
	 * @param cbErr 
	 * @param smethod 
	 * @param isretry 
	 * @param contentType 
	 * @param options 
	 * @param retrycount 
	 * @return  
	 */
	_httpsend(url : string, urldata : any, cbRes : () => void, cbErr : () => void, smethod : string, isretry : boolean, contentType : string, options : any, retrycount : number): /* HttpCli.prototype.httpGet.!ret */ any;
		
	/**
	 * 
	 * @param url 
	 * @param urldata 
	 * @param cbRes 
	 * @param cbErr 
	 * @param smethod 
	 * @param isretry 
	 * @param contentType 
	 * @param options 
	 * @param retrycount 
	 */
	_wxRequest(url : string, urldata : any, cbRes : () => void, cbErr : () => void, smethod : string, isretry : boolean, contentType : string, options : any, retrycount : number): void;
		
	/**
	 * 
	 * @param url 
	 * @param urldata 
	 * @param cbRes 
	 * @param cbErr 
	 * @param smethod 
	 * @param isretry 
	 * @param contentType 
	 * @param options 
	 * @param retrycount 
	 * @return  
	 */
	_webRequest(url : string, urldata : any, cbRes : () => void, cbErr : () => void, smethod : string, isretry : boolean, contentType : string, options : any, retrycount : number): /* HttpCli.prototype.httpGet.!ret */ any;
		
	/**
	 * 
	 */
	_retry(): void;
		
	/**
	 * 
	 * @param count 
	 */
	setRetryCount(count : any): void;
		
	/**
	 * 
	 * @param millsec 
	 */
	setRetryInterval(millsec : any): void;
		
	/**
	 * 
	 * @param needretry 
	 */
	setNeedRetry(needretry : any): void;
		
	/**
	 * 
	 * @param resData 
	 * @param fileName 
	 * @param scb 
	 * @param fcb 
	 */
	_parseZipData(resData : any, fileName : any, scb : /* HttpCli.prototype._parseZipData2 */ any, fcb : /* HttpCli.prototype._parseZipData3 */ any): void;
}
