// Type definitions for ./src/platform/plat_android.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace PLAT_ANDROID{
	// PLAT_ANDROID.setUserInfo.!0
	
	/**
	 * 
	 */
	interface SetUserInfo0 {
	}
}
declare namespace PLAT_ANDROID{
	// PLAT_ANDROID.setTokenInfo.!0
	
	/**
	 * 
	 */
	interface SetTokenInfo0 {
	}
}
declare namespace PLAT_ANDROID{
	// PLAT_ANDROID.PTSetVideoADCallback.!0
	
	/**
	 * 
	 */
	interface PTSetVideoADCallback0 {
				
		/**
		 * 
		 * @param res 
		 */
		onClose(res : any): void;
	}
}

/**
 * 
 */
declare interface AdObj {
		
	/**
	 * 
	 * @param type 
	 * @return  
	 */
	new (type : number): AdObj;
}


/**
 * 
 */
declare namespace AdObj{
		
	/**
	 * 
	 */
	export var type : number;
		
	/**
	 * 
	 */
	function onResize(): void;
		
	/**
	 * 
	 */
	function showBanner(): void;
		
	/**
	 * 
	 */
	function hideBanner(): void;
		
	/**
	 * 
	 */
	function showRewardVideo(): void;
		
	/**
	 * 
	 */
	function showInterstitial(): void;
		
	/**
	 * 
	 */
	export var showActArr : Array<(param1 : /* ),fn(),fn( */ any) => void>;
		
	/**
	 * 
	 */
	export var hideActArr : Array<(param1 : /* ),fn(),fn( */ any) => void>;
		
	/**
	 * 
	 * @return  
	 */
	function show(): /* AdObj.+Promise */ any;
		
	/**
	 * 
	 */
	function hide(): void;
}

/**
 * 支付相关
 * @class
 */
declare interface PayObj {
		
	/**
	 * 
	 * @return  
	 */
	new (): PayObj;
}


/**
 * 
 */
declare namespace PLAT_ANDROID{
		
	/**
	 * 
	 */
	export var SHARE_FAIL : number;
		
	/**
	 * 
	 */
	export var SHARE_TIME : number;
		
	/**
	 * 
	 */
	function getLaunchInfo(): void;
		
	/**
	 * 
	 */
	function getSystemInfo(): void;
		
	/**
	 * example:
	 * 
	 * @param {object} btninfo :
	 *  {
	 *      width: 100,
	 *      height: 100,
	 *      name: logo.png
	 * }
	 * @param {function} cb
	 * @param btninfo 
	 * @param cb 
	 */
	function getUserInfo(btninfo : any, cb : any): void;
		
	/**
	 * 
	 */
	function destoryAuth(): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param ptinfo 
	 */
	function setUserInfo(dstinfo : PLAT_ANDROID.SetUserInfo0, ptinfo : any): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param tokeninfo 
	 */
	function setTokenInfo(dstinfo : PLAT_ANDROID.SetTokenInfo0, tokeninfo : any): void;
		
	/**
	 * 
	 * @param owner 
	 * @param channelid 
	 */
	function init(owner : any, channelid : any): void;
		
	/**
	 * 
	 * @param ctrl 
	 */
	function bindController(ctrl : any): void;
		
	/**
	 * 
	 * @param aimg 
	 * @param atitle 
	 * @param stype 
	 * @param param 
	 * @param successcb 
	 * @param failcb 
	 * @param exinfo 
	 */
	function commonShare(aimg : any, atitle : any, stype : any, param : any, successcb : any, failcb : any, exinfo : any): void;
		
	/**
	 * 
	 * @param rc 
	 * @param title 
	 * @param stype 
	 * @param param 
	 * @param successcb 
	 * @param failcb 
	 * @param exinfo 
	 */
	function captureShare(rc : any, title : any, stype : any, param : any, successcb : any, failcb : any, exinfo : any): void;
		
	/**
	 * 
	 */
	interface PTInitShare {
				
		/**
		 * 
		 * @param normalinfo 
		 * @return  
		 */
		new (normalinfo : any): PTInitShare;
	}

		
	/**
	 * 
	 */
	interface PTShare {
				
		/**
		 * 
		 * @param content 
		 * @param imgurl 
		 * @param param 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (content : any, imgurl : any, param : any, successcb : any, failcb : any): PTShare;
	}

		
	/**
	 * 
	 */
	interface PTShareCapture {
				
		/**
		 * 
		 * @param content 
		 * @param rc 
		 * @param param 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (content : any, rc : any, param : any, successcb : any, failcb : any): PTShareCapture;
	}

		
	/**
	 * 
	 */
	interface PTOpenKF {
				
		/**
		 * 
		 * @param cb 
		 * @param info 
		 * @return  
		 */
		new (cb : any, info : any): PTOpenKF;
	}

		
	/**
	 * @param {string} str 显示的文字
	 * @param {icon} icon 图标类型 这里不作处理
	 */
	interface PTShowToast {
				
		/**
		 * 
		 * @param str 
		 * @param icon 
		 * @return  
		 */
		new (str : string, icon : any): PTShowToast;
	}

		
	/**
	 * 
	 */
	interface PTGotoApp {
				
		/**
		 * 
		 * @param appid 
		 * @param apppath 
		 * @param exobj 
		 * @param cb 
		 * @param qdid 
		 * @param env 
		 * @param acontent 
		 * @return  
		 */
		new (appid : any, apppath : any, exobj : any, cb : any, qdid : any, env : any, acontent : any): PTGotoApp;
	}

		
	/**
	 * 
	 */
	interface PTLogin {
				
		/**
		 * 
		 * @param info 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (info : any, successcb : any, failcb : any): PTLogin;
	}

		
	/**
	 * 广告相关
	 */
	interface PTInitADService {
				
		/**
		 * 
		 * @return  
		 */
		new (): PTInitADService;
	}

		
	/**
	 * 
	 */
	interface PTCreateBannerAD {
				
		/**
		 * 
		 * @param adid 
		 * @param st 
		 * @return  
		 */
		new (adid : any, st : any): /* PLAT_ANDROID.+AdObj */ any;
	}

		
	/**
	 * 
	 */
	interface PTCreateVideoAD {
				
		/**
		 * 
		 * @param adid 
		 * @return  
		 */
		new (adid : any): AdObj;
	}

		
	/**
	 * 
	 */
	interface PTCreateInsertAD {
				
		/**
		 * 
		 * @param adid 
		 * @return  
		 */
		new (adid : any): AdObj;
	}

		
	/**
	 * 
	 */
	interface PTSetVideoADCallback {
				
		/**
		 * 
		 * @param adobj 
		 * @param adowner 
		 * @param cb 
		 * @return  
		 */
		new (adobj : PLAT_ANDROID.PTSetVideoADCallback0, adowner : any, cb : any): PTSetVideoADCallback;
	}

		
	/**
	 * 
	 */
	interface PTVibrateShort {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTVibrateShort;
	}

		
	/**
	 * 
	 */
	interface PTVibrateLong {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTVibrateLong;
	}

		
	/**
	 * 
	 */
	interface PTOpenDataContext {
				
		/**
		 * 
		 * @return  
		 */
		new (): PTOpenDataContext;
	}

		
	/**
	 * 
	 */
	interface PTADWatch {
				
		/**
		 * 
		 * @param adid 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (adid : any, successcb : any, failcb : any): PTADWatch;
	}

}
