// Type definitions for ./src/platform/plat_qqmini.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace PLAT_QQMINI{
	// PLAT_QQMINI.setUserInfo.!0
	
	/**
	 * 
	 */
	interface SetUserInfo0 {
	}
}
declare namespace PLAT_QQMINI{
	// PLAT_QQMINI.setTokenInfo.!0
	
	/**
	 * 
	 */
	interface SetTokenInfo0 {
	}
}
declare namespace PLAT_QQMINI{
	// PLAT_QQMINI.PTCreateBannerAD.!1
	
	/**
	 * 
	 */
	interface PTCreateBannerAD1 {
	}
}

/**
 * 
 */
declare namespace PLAT_QQMINI{
		
	/**
	 * 
	 */
	export var SHARE_FAIL : number;
		
	/**
	 * 
	 */
	export var SHARE_TIME : number;
		
	/**
	 * 
	 * @return  
	 */
	function isThisPT(): boolean;
		
	/**
	 * 
	 */
	function getLaunchInfo(): void;
		
	/**
	 * 
	 */
	function getSystemInfo(): void;
		
	/**
	 * example:
	 * 
	 * @param {object} btninfo :
	 *  {
	 *      width: 100,
	 *      height: 100,
	 *      name: logo.png
	 * }
	 * @param {function} cb
	 * @param btninfo 
	 * @param cb 
	 */
	function getUserInfo(btninfo : any, cb : any): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param ptinfo 
	 */
	function setUserInfo(dstinfo : PLAT_QQMINI.SetUserInfo0, ptinfo : any): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param tokeninfo 
	 */
	function setTokenInfo(dstinfo : PLAT_QQMINI.SetTokenInfo0, tokeninfo : any): void;
		
	/**
	 * 
	 * @param owner 
	 * @param channelid 
	 */
	function init(owner : any, channelid : any): void;
		
	/**
	 * 
	 * @param ctrl 
	 */
	function bindController(ctrl : any): void;
		
	/**
	 * 
	 * @param img 
	 * @param title 
	 * @param stype 
	 * @param param 
	 * @param successcb 
	 * @param failcb 
	 * @param exinfo 
	 */
	function commonShare(img : any, title : any, stype : any, param : any, successcb : any, failcb : any, exinfo : any): void;
		
	/**
	 * 
	 * @param rc 
	 * @param title 
	 * @param stype 
	 * @param param 
	 * @param successcb 
	 * @param failcb 
	 * @param exinfo 
	 */
	function captureShare(rc : any, title : any, stype : any, param : any, successcb : any, failcb : any, exinfo : any): void;
		
	/**
	 * 
	 * @param starttime 
	 * @param sharetype 
	 * @param param 
	 * @param tokenid 
	 * @param successcb 
	 * @param failcb 
	 */
	function _checkShareRes(starttime : number, sharetype : any, param : any, tokenid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 */
	interface PTInitShare {
				
		/**
		 * 
		 * @param normalinfo 
		 * @return  
		 */
		new (normalinfo : any): PTInitShare;
	}

		
	/**
	 * 
	 */
	interface PTShare {
				
		/**
		 * 
		 * @param content 
		 * @param imgurl 
		 * @param param 
		 * @param successcb 
		 * @param failcb 
		 * @param tokenid 
		 * @return  
		 */
		new (content : any, imgurl : any, param : any, successcb : any, failcb : any, tokenid : any): PTShare;
	}

		
	/**
	 * 
	 */
	interface PTShareCapture {
				
		/**
		 * 
		 * @param content 
		 * @param rc 
		 * @param param 
		 * @param successcb 
		 * @param failcb 
		 * @param tokenid 
		 * @return  
		 */
		new (content : any, rc : any, param : any, successcb : any, failcb : any, tokenid : any): PTShareCapture;
	}

		
	/**
	 * 
	 */
	interface PTOpenKF {
				
		/**
		 * 
		 * @param cb 
		 * @return  
		 */
		new (cb : any): PTOpenKF;
	}

		
	/**
	 * 
	 */
	interface PTCreateGameClubButton {
				
		/**
		 * 
		 * @param nleft 
		 * @param ntop 
		 * @param nwidth 
		 * @return  
		 */
		new (nleft : any, ntop : any, nwidth : any): PTCreateGameClubButton;
	}

		
	/**
	 * @param {string} str 显示的文字
	 * @param {icon} icon 图标类型 默认'none';
	 *              success: 显示成功图标
	 *              loading: 显示加载图标
	 *              none: 不显示图标，此时 title 文本最多可显示两行
	 */
	interface PTShowToast {
				
		/**
		 * 
		 * @param str 
		 * @param icon 
		 * @return  
		 */
		new (str : string, icon : any): PTShowToast;
	}

		
	/**
	 * 
	 */
	interface PTGotoApp {
				
		/**
		 * 
		 * @param appid 
		 * @param apppath 
		 * @param exobj 
		 * @param cb 
		 * @param qdid 
		 * @return  
		 */
		new (appid : any, apppath : any, exobj : any, cb : any, qdid : any): PTGotoApp;
	}

		
	/**
	 * 
	 */
	interface PTLogin {
				
		/**
		 * 
		 * @param info 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (info : any, successcb : any, failcb : any): PTLogin;
	}

		
	/**
	 *     return false;
	 * },
	 */
	interface PTSetClipboardData {
				
		/**
		 * 
		 * @param content 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (content : any, successcb : any, failcb : any): PTSetClipboardData;
	}

		
	/**
	 * 
	 */
	interface PTGetClipboardData {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTGetClipboardData;
	}

		
	/**
	 * 
	 */
	interface PTPreviewImage {
				
		/**
		 * 
		 * @param imgurl 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (imgurl : any, successcb : any, failcb : any): PTPreviewImage;
	}

		
	/**
	 * 广告相关
	 */
	interface PTInitADService {
				
		/**
		 * 
		 * @return  
		 */
		new (): PTInitADService;
	}

		
	/**
	 * 
	 */
	interface PTCreateBannerAD {
				
		/**
		 * 
		 * @param adid 
		 * @param st 
		 * @return  
		 */
		new (adid : any, st : PLAT_QQMINI.PTCreateBannerAD1): PTCreateBannerAD;
	}

		
	/**
	 * 
	 */
	interface PTCreateVideoAD {
				
		/**
		 * 
		 * @param adid 
		 * @return  
		 */
		new (adid : any): PTCreateVideoAD;
	}

		
	/**
	 * 
	 */
	interface PTCreateInsertAD {
				
		/**
		 * 
		 * @param adid 
		 * @return  
		 */
		new (adid : any): PTCreateInsertAD;
	}

		
	/**
	 * 
	 */
	interface PTSetVideoADCallback {
				
		/**
		 * 
		 * @param adobj 
		 * @param adowner 
		 * @param cb 
		 * @return  
		 */
		new (adobj : any, adowner : any, cb : any): PTSetVideoADCallback;
	}

		
	/**
	 * 
	 */
	interface PTVibrateShort {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTVibrateShort;
	}

		
	/**
	 * 
	 */
	interface PTVibrateLong {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTVibrateLong;
	}

		
	/**
	 * 
	 */
	interface PTOpenDataContext {
				
		/**
		 * 
		 * @return  
		 */
		new (): PTOpenDataContext;
	}

		
	/**
	 * 
	 */
	interface PTPostOpenMsg {
				
		/**
		 * 
		 * @param msg 
		 * @return  
		 */
		new (msg : any): PTPostOpenMsg;
	}

		
	/**
	 * 排行榜相关
	 * @param nscore 
	 * @param nmoney 
	 * @param stitle 
	 */
	function saveRankData(nscore : any, nmoney : any, stitle : any): void;
		
	/**
	 * 
	 */
	function showRankData(): void;
		
	/**
	 * 
	 */
	function hideRankData(): void;
		
	/**
	 * 
	 */
	function prevRankPage(): void;
		
	/**
	 * 
	 */
	function nextRankPage(): void;
}
