var PLAT_QUICK = {
    isThisPT(){
        return this._ptid == 8001;
    },

    getLaunchInfo(){
        return null;
    },

    getSystemInfo(){
        return null;
    },

    /** example:
     *
     * @param {object} btninfo :
     *  {
     *      width: 100,
     *      height: 100,
     *      name: logo.png
     * }
     * @param {function} cb
     */
    getUserInfo(btninfo, cb){
        console.log('cc.sys.platform:' + cc.sys.platform);
        cb && cb(null, -1000);
    },

    setUserInfo(dstinfo, ptinfo){
        dstinfo.nickname = ptinfo.nickname;
    },

    setTokenInfo(dstinfo, tokeninfo){

    },

    init(owner, channelid){
        this._owner = owner;
        this._ptid = channelid;
    },

    bindController(ctrl){
        this._man = ctrl;
    },

    commonShare(img, title, stype, param, successcb, failcb, exinfo){
        let sp = this._owner.makeShareParam(stype, param, exinfo);
        let uuid = this._owner.currUUID();
        this.PTShare(title, img, sp, successcb, failcb, uuid);
    },

    captureShare(rc, title, stype, param, successcb, failcb, exinfo){
        let sp = this._owner.makeShareParam(stype, param, exinfo);
        let uuid = this._owner.currUUID();
        this.PTShareCapture(title, rc, sp, successcb, failcb, uuid);
    },

    PTInitShare(normalinfo){

    },

    PTShare(content, imgurl, param, successcb, failcb, tokenid){
        if(this.isThisPT()){
            failcb && failcb(-1, param, tokenid);
        }else{
            failcb && failcb(-1000, param, tokenid);
        }
    },

    PTShareCapture(content, rc, param, successcb, failcb, tokenid){
        if(this.isThisPT()){
            failcb && failcb(-1, param, tokenid);
        }else{
            failcb && failcb(-1000, param, tokenid);
        }
    },

    PTOpenKF(cb){

    },

    PTShowToast(str){

    },

    PTGotoApp(appid, apppath, exobj, cb, qdid){

    },

    PTLogin(info, successcb, failcb){

    },

    //广告相关
    PTInitADService(){

    },

    PTCreateBannerAD(adid, st){
        return null;
    },

    PTCreateVideoAD(adid){
        return null;
    },

    PTCreateInsertAD(adid){
        return null;
    },

    PTSetVideoADCallback(adobj, adowner, cb){

    },

    PTVibrateShort(successcb, failcb){

    },

    PTVibrateLong(successcb, failcb){

    },

    PTOpenDataContext(){
        return null;
    },

    PTPostOpenMsg(msg){

    },

    // 排行榜相关
    saveRankData(nscore, nmoney, stitle){
    },

    showRankData(){

    },

    hideRankData(){

    },

    prevRankPage(){

    },

    nextRankPage(){

    }
};

module.exports = PLAT_QUICK;
