
var httpclient = require('../common/httpclient');
var urlbuilder = require('../common/urlbuilder');

let jcrecharge = {

    init(channelid, gameid, isoffical, owner, url){
        this.owner = owner;
        this.channelid = channelid;
        this.gameid = gameid;
        this.sessionid = this.sessionid? this.sessionid:'';
        this.accountid = this.accountid? this.accountid: '';
        this.openid = this.openid? this.openid: '';
        this.isoffical = isoffical;
        this.logined = this.logined? this.logined: false;
        this.urlbd = new urlbuilder(url);
        console.log("[jclogin]init:"+gameid + "|" + channelid + "|" + isoffical);
    },

    start () {

    },

    //accountid serverid roleid rolename price successcb, failcb
    __Recharge(accountid, serverid ,roleid ,rolename,price ,itemid,sign,successcb, failcb)
    {
        this.urlbd.clear();
        this.urlbd.addKV('c', 'Pay')
        .addKV('a', 'getOrderId')
        .addKV('accountid', accountid)
        .addKV('serverid', serverid)
        .addKV('roleid', roleid)
        .addKV('rolename', rolename)
        .addKV('price',price)
        .addKV('sign',sign)
        .addKV('itemid',itemid)
        ;

        httpclient.httpGet(this.urlbd.baseurl, function(restext){
            var obj = httpclient.JSON_parse(restext);
            if(obj && obj.errcode == 0){
                console.log('[__Recharge]success!'+JSON.stringify(obj));
                successcb && successcb();
            }else{
                console.log('[__Recharge]failed!'+obj.errcode+":"+obj.errmsg);
                failcb && failcb(0, obj.errcode, obj.errmsg);
            }
        }, function(errcode, errmsg){
            console.log('[__Recharge]failed!'+errcode+":"+errmsg);
            failcb && failcb(errcode, 0, errmsg);
        });
    },

    __RechargeorderidSend(accountid, serverid ,roleid ,rolename,price ,itemid,sign,successcb, failcb)
    {
        this.urlbd.clear();
        this.urlbd = new urlbuilder('http://192.168.100.23:7055/webapp/index.php');
        this.urlbd.addKV('c', 'Pay')
        .addKV('a', 'getOrderId')
        .addKV('accountid', accountid)
        .addKV('serverid', serverid)
        .addKV('roleid', roleid)
        .addKV('rolename', rolename)
        .addKV('price',price)
        .addKV("itemid",itemid)
        .addKV('sign',sign)
        ;

        console.log("URL:  ",this.urlbd.baseurl);
//http://192.168.100.23:7055/webapp/index.php?
        httpclient.httpGet(this.urlbd.baseurl, function(restext){
            var obj = httpclient.JSON_parse(restext);
            if(obj && obj.errcode == 0){
                console.log('[__Recharge]success!'+JSON.stringify(obj));
                //successcb && successcb(obj.token);
                this._orderidSend(1,obj.orderid,1);
            }else{
                console.log('[__Recharge]failed!'+obj.errcode+":"+obj.errmsg);
                failcb && failcb(0, obj.errcode, obj.errmsg);
            }
        }, function(errcode, errmsg){
            console.log('[__Recharge]failed!'+errcode+":"+errmsg);
            failcb && failcb(errcode, 0, errmsg);
        });
    },

    _orderidSend(pay_type,orderid,payresult)
    {
        this.urlbd.clear();
        /*this.urlbd.addKV('c', 'Pay')
        .addKV('a', 'payNotify')
        .addKV('pay_type', pay_type)
        .addKV('orderid', orderid)
        .addKV('payresult', payresult)
        ;*/
        var url = 'http://192.168.100.23:7055/webapp/index.php?c=Pay&a=payNotify&pay_type=1&orderid="+orderid.toString()+"&payresult=1';

        httpclient.httpGet(url, function(restext){
            var obj = httpclient.JSON_parse(restext);
            if(obj && obj.errcode == 0){
                console.log('[__Recharge]success!'+JSON.stringify(obj));
                successcb && successcb(obj.token);
            }else{
                console.log('[__Recharge]failed!'+obj.errcode+":"+obj.errmsg);
                failcb && failcb(0, obj.errcode, obj.errmsg);
            }
        }, function(errcode, errmsg){
            console.log('[__Recharge]failed!'+errcode+":"+errmsg);
            failcb && failcb(errcode, 0, errmsg);
        });
    },

    setAccountID(accountid, sessionid){
        this.accountid = accountid;
        this.sessionid = sessionid;
    },

    setLocalUUID(uuid){
        this.localid = uuid;
    },

    setNickName(nickname){
        this.nickname = nickname;
    },

    setFromAppID(appid){
        this.fromid = appid;
    },

    // update (dt) {},
};
module.exports = jcrecharge;
