let mathutils = {
    timeSeed:0,
    netTimeSeed:[],

    setTimeSeed:function(time)
    {
        this.timeSeed = time;
    },
    rnd:function( seed ){
        seed = ( seed * 9301 + 49297 ) % 233280; //神奇数字
        this.timeSeed = seed;
        return seed / ( 233280.0 );
    },
    rand01(){
        return this.getRandom(10000)/10000
    },
    /**
     * 获取_min至_max之间的随机整数, 不包括_max
     * */
    getRandom:function(_max,_min)
    {
        _min = _min || 0;
        return Math.floor(this.rnd( this.timeSeed ) * (_max-_min))+_min;
    },
};

module.exports = mathutils;
