
class JcGameItem{


    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    // start () {},

    // update (dt) {},
    /*
{"errcode":0,"errmsg":"",
"games":[
    {"is_recommend":false,"is_hot":false,"is_new":true,"click_count":0,"_id":"5bc9d0e6541a720d119bc03e","game_type":1,
    "game_icon":"https://jiafei-1256832210.cos.ap-beijing.myqcloud.com/5bc9d0e428a8930d1191bbd4.jpeg","game_name":"夯大力","game_id":"1005"},
    {"is_recommend":false,"is_hot":false,"is_new":true,"click_count":0,"_id":"5bc9bc334062886c62ecdfe6","game_type":0,
    "game_icon":"https://jiafei-1256832210.cos.ap-beijing.myqcloud.com/5bc9cf5428a8930d1191bbd3.jpeg","game_name":"消消乐","game_id":"1004"}
    ],
    "recommends":[]}
    */
    loadData(jsondata){
        this.isrecommend = jsondata.is_recommend;
        this.ishot = jsondata.is_hot;
        this.isnew = jsondata.is_new;
        this.clickcount = jsondata.click_count;
        this.type = jsondata.game_type;
        this.icon = jsondata.game_icon;
        this.name = jsondata.game_name;
        this.gameid = jsondata.game_id? jsondata.game_id: 0;
        this.appid = jsondata.app_id;
        this.isopened = jsondata.status == 0? true: false;
    }

    setOwner(owner){
        this.owner = owner;
    }

    onClick(err){
        this.owner && this.owner.onGameClick(this, err);
    }
}

module.exports = JcGameItem;
