// Type definitions for ./src/voodoo/jcvoodoo.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace jcvoodoo{
	// jcvoodoo.gamelist.<i>
	
	/**
	 * 
	 */
	interface GamelistI {
				
		/**
		 * 
		 */
		rmadded : boolean;
				
		/**
		 * 
		 */
		hotadded : boolean;
	}
}

/**
 * 
 */
export declare var GAME_LIMIT_COUNT : number;

/**
 * 
 */
export declare var GAME_MIN_COUNT : number;

/**
 * 
 */
export declare var GAME_MAX_TYPE : number;

/**
 * 
 */
declare namespace jcvoodoo{
		
	/**
	 * update (dt) {},
	 * @param gameid 
	 * @return  
	 */
	function __getGameType(gameid : any): number;
		
	/**
	 * 
	 * @param channelid 
	 * @param gameid 
	 * @param isoffical 
	 * @param owner 
	 * @param url 
	 */
	function init(channelid : any, gameid : any, isoffical : any, owner : any, url : any): void;
		
	/**
	 * 
	 */
	export var nickname : string;
		
	/**
	 * 
	 */
	export var gametype : number;
		
	/**
	 * 
	 */
	export var gamecbs : Array<any>;
		
	/**
	 * 
	 */
	export var gamefailcbs : Array<any>;
		
	/**
	 * 
	 */
	export var gamelist : Array<jcvoodoo.GamelistI>;
		
	/**
	 * 
	 */
	export var playerlist : Array<any>;
		
	/**
	 * 
	 */
	export var rmlst : Array</* jcvoodoo.gamelist.<i> */ any>;
		
	/**
	 * 
	 */
	export var hotlst : Array</* jcvoodoo.gamelist.<i> */ any>;
		
	/**
	 * 
	 */
	export var newlst : Array</* jcvoodoo.gamelist.<i> */ any>;
		
	/**
	 * 
	 */
	export var msglist : Array<any>;
		
	/**
	 * 
	 */
	export var isSimpleShow : boolean;
	
	/**
	 * 
	 */
	var target_player : {
				
		/**
		 * 
		 */
		name : string;
				
		/**
		 * 
		 */
		id : string;
				
		/**
		 * 
		 */
		wid : string;
				
		/**
		 * 
		 */
		sid : string;
				
		/**
		 * 
		 */
		ptid : string;
				
		/**
		 * 
		 */
		sex : number;
				
		/**
		 * 
		 */
		score : number;
	}
	
	/**
	 * 
	 */
	var from_player : {
				
		/**
		 * 
		 */
		id : string;
				
		/**
		 * 
		 */
		wid : string;
				
		/**
		 * 
		 */
		sid : string;
				
		/**
		 * 
		 */
		ptid : string;
	}
		
	/**
	 * 
	 */
	export var isChallengeMode : boolean;
		
	/**
	 * 
	 */
	export var _lastidx : number;
		
	/**
	 * 
	 */
	export var voodooID : number;
		
	/**
	 * 
	 */
	export var inited : boolean;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 * @param exobj 
	 */
	function setAccountID(accountid : any, sessionid : any, exobj : any): void;
		
	/**
	 * 
	 */
	export var sex : number;
		
	/**
	 * 
	 * @param nickname 
	 */
	function setNickName(nickname : any): void;
		
	/**
	 * 
	 * @param appid 
	 */
	function setFromAppID(appid : any): void;
		
	/**
	 * 
	 * @param uuid 
	 */
	function setLocalUUID(uuid : any): void;
		
	/**
	 * 
	 * @param info 
	 */
	function setUserInfo(info : any): void;
		
	/**
	 * 
	 * @param scene 
	 * @param fromid 
	 * @param lauchinfo 
	 */
	function setLaunchInfo(scene : any, fromid : any, lauchinfo : any): void;
		
	/**
	 * 
	 * @param info 
	 */
	function setSystemInfo(info : any): void;
		
	/**
	 * 
	 * @param handler 
	 */
	function setNotifyHandler(handler : any): void;
		
	/**
	 * 
	 * @param successcb 
	 * @param failcb 
	 */
	function reqGameListData(successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param playercount 
	 * @param successcb 
	 * @param failcb 
	 */
	function reqPlayerListData(playercount : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param gameid 
	 * @param successcb 
	 * @param failcb 
	 */
	function postClickData(gameid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param gamescore 
	 * @param successcb 
	 * @param failcb 
	 */
	function postGameResult(gamescore : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param score 
	 * @return  
	 */
	function getPkResult(score : any): number;
		
	/**
	 * 
	 * @param game 
	 * @param err 
	 */
	function onGameClick(game : any, err : any): void;
		
	/**
	 * 
	 * @param player 
	 * @param err 
	 */
	function onPlayerClick(player : any, err : any): void;
		
	/**
	 * 
	 * @param player 
	 */
	function onPlayerUpdateGame(player : any): void;
		
	/**
	 * 
	 * @param msglst 
	 */
	function hanldeMsgs(msglst : any): void;
		
	/**
	 * 
	 * @return  
	 */
	function getOneMsg(): string;
		
	/**
	 * 
	 * @param msg 
	 * @return  
	 */
	function buildMsgStr(msg : any): string;
		
	/**
	 * 
	 */
	function _parseGameList(): void;
		
	/**
	 * 
	 */
	function _checkPlayersAppID(): void;
		
	/**
	 * 
	 * @param cblst 
	 * @param cb 
	 */
	function _checkCbs(cblst : any, cb : any): void;
}
