// Type definitions for ./src/platform/plat_fb.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace PLAT_FB{
	// PLAT_FB.setUserInfo.!0
	
	/**
	 * 
	 */
	interface SetUserInfo0 {
	}
}
declare namespace PLAT_FB{
	// PLAT_FB.setUserInfo.!1
	
	/**
	 * 
	 */
	interface SetUserInfo1 {
	}
}

/**
 * 
 */
declare namespace PLAT_FB{
		
	/**
	 * 
	 * @return  
	 */
	function isThisPT(): boolean;
		
	/**
	 * 
	 */
	function getLaunchInfo(): void;
		
	/**
	 * 
	 */
	function getSystemInfo(): void;
		
	/**
	 * example:
	 * 
	 * @param {object} btninfo :
	 *  {
	 *      width: 100,
	 *      height: 100,
	 *      name: logo.png
	 * }
	 * @param {function} cb
	 * @param btninfo 
	 * @param cb 
	 */
	function getUserInfo(btninfo : any, cb : any): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param ptinfo 
	 */
	function setUserInfo(dstinfo : PLAT_FB.SetUserInfo0, ptinfo : PLAT_FB.SetUserInfo1): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param tokeninfo 
	 */
	function setTokenInfo(dstinfo : any, tokeninfo : any): void;
		
	/**
	 * 
	 * @param owner 
	 * @param channelid 
	 */
	function init(owner : any, channelid : any): void;
		
	/**
	 * 
	 * @param ctrl 
	 */
	function bindController(ctrl : any): void;
		
	/**
	 * 
	 * @param img 
	 * @param title 
	 * @param stype 
	 * @param param 
	 * @param successcb 
	 * @param failcb 
	 * @param exinfo 
	 */
	function commonShare(img : any, title : any, stype : any, param : any, successcb : any, failcb : any, exinfo : any): void;
		
	/**
	 * 
	 * @param rc 
	 * @param title 
	 * @param stype 
	 * @param param 
	 * @param successcb 
	 * @param failcb 
	 * @param exinfo 
	 */
	function captureShare(rc : any, title : any, stype : any, param : any, successcb : any, failcb : any, exinfo : any): void;
		
	/**
	 * 
	 */
	interface PTInitShare {
				
		/**
		 * 
		 * @param normalinfo 
		 * @return  
		 */
		new (normalinfo : any): PTInitShare;
	}

		
	/**
	 * 
	 */
	interface PTShare {
				
		/**
		 * 
		 * @param content 
		 * @param imgurl 
		 * @param param 
		 * @param successcb 
		 * @param failcb 
		 * @param tokenid 
		 * @return  
		 */
		new (content : any, imgurl : any, param : any, successcb : any, failcb : any, tokenid : any): PTShare;
	}

		
	/**
	 * 
	 */
	interface PTShareCapture {
				
		/**
		 * 
		 * @param content 
		 * @param rc 
		 * @param param 
		 * @param successcb 
		 * @param failcb 
		 * @param tokenid 
		 * @return  
		 */
		new (content : any, rc : any, param : any, successcb : any, failcb : any, tokenid : any): PTShareCapture;
	}

		
	/**
	 * 
	 */
	interface PTOpenKF {
				
		/**
		 * 
		 * @param cb 
		 * @return  
		 */
		new (cb : any): PTOpenKF;
	}

		
	/**
	 * 
	 */
	interface PTShowToast {
				
		/**
		 * 
		 * @param str 
		 * @return  
		 */
		new (str : any): PTShowToast;
	}

		
	/**
	 * 
	 */
	interface PTGotoApp {
				
		/**
		 * 
		 * @param appid 
		 * @param apppath 
		 * @param exobj 
		 * @param cb 
		 * @param qdid 
		 * @return  
		 */
		new (appid : any, apppath : any, exobj : any, cb : any, qdid : any): PTGotoApp;
	}

		
	/**
	 * 
	 */
	interface PTLogin {
				
		/**
		 * 
		 * @param info 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (info : any, successcb : any, failcb : any): PTLogin;
	}

		
	/**
	 * 广告相关
	 */
	interface PTInitADService {
				
		/**
		 * 
		 * @return  
		 */
		new (): PTInitADService;
	}

		
	/**
	 * 
	 */
	interface PTCreateBannerAD {
				
		/**
		 * 
		 * @param adid 
		 * @param st 
		 * @return  
		 */
		new (adid : any, st : any): PTCreateBannerAD;
	}

		
	/**
	 * 
	 */
	interface PTCreateVideoAD {
				
		/**
		 * 
		 * @param adid 
		 * @return  
		 */
		new (adid : any): PTCreateVideoAD;
	}

		
	/**
	 * 
	 */
	interface PTCreateInsertAD {
				
		/**
		 * 
		 * @param adid 
		 * @return  
		 */
		new (adid : any): PTCreateInsertAD;
	}

		
	/**
	 * 
	 */
	interface PTSetVideoADCallback {
				
		/**
		 * 
		 * @param adobj 
		 * @param adowner 
		 * @param cb 
		 * @return  
		 */
		new (adobj : any, adowner : any, cb : any): PTSetVideoADCallback;
	}

		
	/**
	 * 
	 */
	interface PTADWatch {
				
		/**
		 * 
		 * @param adid 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (adid : any, successcb : any, failcb : any): PTADWatch;
	}

		
	/**
	 * 
	 */
	interface PTVibrateShort {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTVibrateShort;
	}

		
	/**
	 * 
	 */
	interface PTVibrateLong {
				
		/**
		 * 
		 * @param successcb 
		 * @param failcb 
		 * @return  
		 */
		new (successcb : any, failcb : any): PTVibrateLong;
	}

		
	/**
	 * 
	 */
	interface PTOpenDataContext {
				
		/**
		 * 
		 * @return  
		 */
		new (): PTOpenDataContext;
	}

		
	/**
	 * 
	 */
	interface PTPostOpenMsg {
				
		/**
		 * 
		 * @param msg 
		 * @return  
		 */
		new (msg : any): PTPostOpenMsg;
	}

		
	/**
	 * 排行榜相关
	 * @param nscore 
	 * @param nmoney 
	 * @param stitle 
	 */
	function saveRankData(nscore : any, nmoney : any, stitle : any): void;
		
	/**
	 * 
	 */
	function showRankData(): void;
		
	/**
	 * 
	 */
	function hideRankData(): void;
		
	/**
	 * 
	 */
	function prevRankPage(): void;
		
	/**
	 * 
	 */
	function nextRankPage(): void;
}
