var PLAT_VIVO = {
    isThisPT(){
        return typeof(qg)!='undefined';
    },

    getLaunchInfo(){
		if(this.isThisPT()){

        }
        return null;
    },

    getSystemInfo(){
		if(this.isThisPT()){

        }
        return null;
    },

    /** example:
     *
     * @param {object} btninfo :
     *  {
     *      width: 100,
     *      height: 100,
     *      name: logo.png
     * }
     * @param {function} cb
     */
    getUserInfo(btninfo, cb){
        console.log('cc.sys.platform:' + cc.sys.platform);
        cb && cb(null, -1000);
    },

    setUserInfo(dstinfo, ptinfo){
        dstinfo.nickname =  ptinfo.nickname;
        dstinfo.avatar_url = ptinfo.avatar;
        dstinfo.unionid = ptinfo.unionid;
    },

    setTokenInfo(dstinfo, tokeninfo){

    },

    init(owner, channelid){
        this._owner = owner;
        this._ptid = channelid;
    },

    bindController(ctrl){
        this._man = ctrl;
    },

    commonShare(img, title, stype, param, successcb, failcb, exinfo){
        let sp = this._owner.makeShareParam(stype, param, exinfo);
        let uuid = this._owner.currUUID();
        this.PTShare(title, img, sp, successcb, failcb, uuid);
    },

    captureShare(rc, title, stype, param, successcb, failcb, exinfo){
        let sp = this._owner.makeShareParam(stype, param, exinfo);
        let uuid = this._owner.currUUID();
        this.PTShareCapture(title, rc, sp, successcb, failcb, uuid);
    },

    PTInitShare(normalinfo){
        if(!normalinfo){
            return;
        }
        if(this.isThisPT()){

        }
    },

    PTShare(content, imgurl, param, successcb, failcb, tokenid){
        if(this.isThisPT()){

        }else{
            failcb && failcb(-1000, null, tokenid);
        }
    },

    PTShareCapture(content, rc, param, successcb, failcb, tokenid){
        if(this.isThisPT()){

        }else{
            failcb && failcb(-1000, null, tokenid);
        }
    },

    PTOpenKF(cb){
        if (this.isThisPT()) {
            cb && cb(false);
        }else{
            cb && cb(false);
        }
    },

    PTShowToast(str){
        if (this.isThisPT()) {

        }
    },

    PTGotoApp(appid, apppath, exobj, cb, qdid){
        if(this.isThisPT()){
            let self = this;
            let obj = {
                appId: appid,
                path: apppath,
                extraData: exobj,
                success: function(res){
                    self._owner.gamelog.logJumpApp(appid, apppath, 1, qdid);
                    cb && cb(1, res);
                },
                fail: function(res){
                    self._owner.gamelog.logJumpApp(appid, apppath, -1, qdid);
                    cb && cb(0, res);
                }
            };


        }else{
            this._owner.gamelog.logJumpApp(appid, apppath, -1000, qdid);
            cb && cb(-1000, null);
        }
    },

    PTLogin(info, successcb, failcb){
        if(this.isThisPT()){
            var self = this;
            var vivoGetUserInfo = function(vivotoken){
               qg.getProfile({
                 token: vivotoken,
                 success: function(data){
                   console.log('[vivo.login]success');
                   self._owner.login.login(vivotoken, successcb, failcb, data.openid);
                   self._owner.login.updateuserinfo(data);
                 },
                 fail: function(data, code) {
                   console.log('[vivo.login]fail');
                   failcb && failcb();
                 }
               })
           };

           qg.authorize({
               type: "token",
               success: function (data) {
                   console.log("vivoAuthorize success");
                   vivoGetUserInfo(data.accessToken);
               },
               fail: function (data, code) {
                   console.log("vivoAuthorize fail");
                   failcb && failcb();
               }
           });
        }else{
            failcb && failcb(0, -1000, "not vivo platform!");
        }
    },

    //广告相关
    PTInitADService(){

    },

    PTCreateBannerAD(adid, st){
        return null;
    },

    PTCreateVideoAD(adid){
        return null;
    },

    PTCreateInsertAD(adid){
        return null;
    },

    PTSetVideoADCallback(adobj, adowner, cb){

    },

    PTVibrateShort(successcb, failcb){
        if(this.isThisPT()){
            qg.vibrateShort();
        }
    },

    PTVibrateLong(successcb, failcb){
        if(this.isThisPT()){
            qg.vibrateLong();
        }
    },

    PTOpenDataContext(){
        return null;
    },

    PTPostOpenMsg(msg){

    },

    // 排行榜相关
    saveRankData(nscore, nmoney, stitle){
        if(this.isThisPT()){

        }
    },

    showRankData(){
        if(this.isThisPT()){

        }
    },

    hideRankData(){
        if(this.isThisPT()){

        }
    },

    prevRankPage(){
        if(this.isThisPT()){

        }
    },

    nextRankPage(){
        if(this.isThisPT()){

        }
    }
};

module.exports = PLAT_VIVO;
