// Type definitions for ./src/service/jcAD.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace jcAD{
	// jcAD.__createAD.!3
	
	/**
	 * 
	 */
	interface __createAD3 {
				
		/**
		 * 
		 */
		needshow : boolean;
				
		/**
		 * 
		 */
		adloaded : boolean;
	}
}
declare namespace jcAD{
	// jcAD.__createAD.!ret
	
	/**
	 * 
	 */
	interface __createADRet {
				
		/**
		 * 
		 */
		adType : number;
				
		/**
		 * 
		 */
		state : number;
				
		/**
		 * 
		 */
		hide(): void;
		
		/**
		 * 
		 */
		style : {
						
			/**
			 * 
			 */
			left : number;
						
			/**
			 * 
			 */
			top : number;
						
			/**
			 * 
			 */
			height : number;
						
			/**
			 * 
			 */
			x : number;
						
			/**
			 * 
			 */
			y : number;
		}
	}
}
declare namespace jcAD{
	// jcAD.BannerAds.<i>
	
	/**
	 * 
	 */
	interface BannerAdsI {
				
		/**
		 * 
		 */
		needshow : boolean;
				
		/**
		 * 
		 */
		adloaded : boolean;
	}
}
declare namespace jcAD{
	// jcAD.InsertAds.<i>
	
	/**
	 * 
	 */
	interface InsertAdsI {
				
		/**
		 * 
		 */
		adloaded : boolean;
	}
}
declare namespace jcAD{
	// jcAD.VideoAds.<i>
	
	/**
	 * 
	 */
	interface VideoAdsI {
				
		/**
		 * 
		 */
		needshow : boolean;
				
		/**
		 * 
		 */
		adloaded : boolean;
				
		/**
		 * 
		 */
		adloadtime : number;
	}
}
declare namespace jcAD{
	// jcAD.addBannerAD.!ret
	
	/**
	 * 
	 */
	interface AddBannerADRet {
				
		/**
		 * 
		 */
		adloaded : boolean;
				
		/**
		 * 
		 */
		needshow : boolean;
	}
}
declare namespace jcAD{
	// jcAD.reLoadBannerAD.!ret
	
	/**
	 * 
	 */
	interface ReLoadBannerADRet {
				
		/**
		 * 
		 */
		adloaded : boolean;
				
		/**
		 * 
		 */
		needshow : boolean;
	}
}
declare namespace jcAD{
	// jcAD.showBannerAD.!ret
	
	/**
	 * 
	 */
	interface ShowBannerADRet {
				
		/**
		 * 
		 */
		needshow : boolean;
	}
}
declare namespace jcAD{
	// jcAD.onLoadAD.!0
	
	/**
	 * 
	 */
	interface OnLoadAD0 {
				
		/**
		 * 
		 */
		needshow : boolean;
				
		/**
		 * 
		 */
		adloaded : boolean;
				
		/**
		 * 
		 */
		adloadtime : number;
	}
}
declare namespace jcAD{
	// jcAD.onFinishAD.!1
	
	/**
	 * 
	 */
	interface OnFinishAD1 {
	}
}
declare namespace jcAD{
	// jcAD.destoryAD.!0
	
	/**
	 * 
	 */
	interface DestoryAD0 {
				
		/**
		 * 
		 */
		state : number;
	}
}

/**
 * 
 */
declare namespace jcAD{
		
	/**
	 * 
	 * @param bannerwidth 
	 * @return  
	 */
	function _calcBannerWidth(bannerwidth : any): /* !this.winW */ any;
		
	/**
	 * 
	 * @param adtype 
	 * @param adunitid 
	 * @param bannerHV 
	 * @param owner 
	 * @param bannerY 
	 * @param bannerW 
	 * @return  
	 */
	function __createAD(adtype : number, adunitid : any, bannerHV : number, owner : /* jcAD.__createAD3 */ any, bannerY : number, bannerW : any): /* jcAD.__createADRet */ any;
		
	/**
	 * 
	 * @param channelid 
	 * @param gameid 
	 * @param isoffical 
	 * @param owner 
	 * @param adparam 
	 */
	function init(channelid : any, gameid : any, isoffical : any, owner : any, adparam : any): void;
		
	/**
	 * 
	 */
	export var BannerAds : Array<jcAD.BannerAdsI>;
		
	/**
	 * 
	 */
	export var InsertAds : Array<jcAD.InsertAdsI>;
		
	/**
	 * 
	 */
	export var VideoAds : Array<jcAD.VideoAdsI>;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 */
	function setAccountID(accountid : any, sessionid : any): void;
		
	/**
	 * 
	 * @param nickname 
	 */
	function setNickName(nickname : any): void;
		
	/**
	 * 
	 * @param appid 
	 */
	function setFromAppID(appid : any): void;
		
	/**
	 * 
	 * @param uuid 
	 */
	function setLocalUUID(uuid : any): void;
		
	/**
	 * 
	 * @param info 
	 */
	function setSystemInfo(info : any): void;
		
	/**
	 * 
	 */
	export var _dtLineH : number;
		
	/**
	 * 添加banner广告
	 * @param advid 
	 * @param identifier 
	 * @param bannerHValue 
	 * @param rspCb 
	 * @return  
	 */
	function addBannerAD(advid : any, identifier : any, bannerHValue : number, rspCb : any): jcAD.AddBannerADRet;
		
	/**
	 * 添加插屏广告
	 * @param advid 
	 * @param identifier 
	 * @return  
	 */
	function addInsertAD(advid : any, identifier : any): /* jcAD.InsertAds.<i> */ any;
		
	/**
	 * 添加激励广告（视频广告）
	 * @param advid 
	 * @param identifier 
	 * @param rspCb 
	 * @return  
	 */
	function addVideoAD(advid : any, identifier : any, rspCb : any): /* jcAD.onLoadAD.!0 */ any;
		
	/**
	 * 
	 * @param identifier 
	 * @param advid 
	 * @return  
	 */
	function reLoadBannerAD(identifier : any, advid : any): jcAD.ReLoadBannerADRet;
		
	/**
	 * 
	 * @param identifier 
	 * @return  
	 */
	function hasBannerAD(identifier : any): boolean;
		
	/**
	 * 
	 * @param identifier 
	 * @return  
	 */
	function hasVideoAD(identifier : any): boolean;
		
	/**
	 * 
	 * @param identifier 
	 * @return  
	 */
	function findBannerAD(identifier : any): /* jcAD.addBannerAD.!ret */ any;
		
	/**
	 * 
	 * @param identifier 
	 * @return  
	 */
	function findInsertAD(identifier : any): /* jcAD.InsertAds.<i> */ any;
		
	/**
	 * 
	 * @return  
	 */
	function randomBannerAD(): /* !this.BannerAds.<i> */ any;
		
	/**
	 * 
	 * @param identifier 
	 * @return  
	 */
	function findVideoAD(identifier : any): /* jcAD.VideoAds.<i> */ any;
		
	/**
	 * 
	 * @param ad 
	 * @return  
	 */
	function findVideoOwner(ad : any): /* jcAD.VideoAds.<i> */ any;
		
	/**
	 * 
	 */
	function hideAllAD(): void;
		
	/**
	 * 
	 * @return  
	 */
	function needLoadBannerAD(): boolean;
		
	/**
	 * 显示/隐藏banner广告
	 * @param identifier 
	 * @param bShow 
	 * @param successcb 
	 * @param failcb 
	 * @param breload 
	 * @return  
	 */
	function switchBannerAD(identifier : any, bShow : any, successcb : any, failcb : any, breload : any): string;
		
	/**
	 * 
	 * @param adid 
	 * @param adh 
	 * @param ady 
	 * @param successcb 
	 * @param failcb 
	 * @param loadcb 
	 * @param adw 
	 * @return  
	 */
	function simpleBannerADShow(adid : any, adh : number, ady : number, successcb : any, failcb : any, loadcb : any, adw : any): /* jcAD.BannerAds.<i> */ any;
		
	/**
	 * 
	 * @param adid 
	 * @param successcb 
	 * @param failcb 
	 */
	function simpleInsertADShow(adid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 */
	function destroyAllBannerAD(): void;
		
	/**
	 * 
	 * @param adid 
	 * @param successcb 
	 * @param failcb 
	 * @param loadcb 
	 * @param adwidth 
	 * @param oversec 
	 * @return  
	 */
	function showBannerAD(adid : any, successcb : any, failcb : any, loadcb : any, adwidth : any, oversec : any): jcAD.ShowBannerADRet;
		
	/**
	 * 显示激励广告（视频广告）
	 * @param identifier 
	 * @param successcb 
	 * @param failcb 
	 * @param loadcb 
	 * @param adid 
	 */
	function showRewardAD(identifier : any, successcb : any, failcb : any, loadcb : any, adid : any): void;
		
	/**
	 * 
	 * @param adid 
	 * @param adname 
	 * @param successcb 
	 * @param failcb 
	 */
	function simpleRewardADShow(adid : any, adname : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param adlst 
	 * @param adname 
	 * @param successcb 
	 * @param failcb 
	 * @param loadcb 
	 */
	function randomRewardADShow(adlst : any, adname : any, successcb : any, failcb : any, loadcb : any): void;
		
	/**
	 * 
	 * @param obj 
	 */
	function onLoadAD(obj : jcAD.OnLoadAD0): void;
		
	/**
	 * 
	 * @param errtype 
	 * @param err 
	 * @param obj 
	 */
	function onErrAD(errtype : number, err : any, obj : /* jcAD.VideoAds.<i> */ any): void;
		
	/**
	 * 
	 * @param bReward 
	 * @param obj 
	 * @param res 
	 */
	function onFinishAD(bReward : any, obj : jcAD.OnFinishAD1, res : any): void;
		
	/**
	 * 
	 * @param ad 
	 */
	function destoryAD(ad : jcAD.DestoryAD0): void;
		
	/**
	 * 
	 * @param obj 
	 * @param needremove 
	 */
	function destroyObj(obj : /* jcAD.addBannerAD.!ret */ any, needremove : boolean): void;
		
	/**
	 * 
	 * @param obj 
	 * @param successcb 
	 * @param failcb 
	 */
	function showAD(obj : /* jcAD.VideoAds.<i> */ any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param obj 
	 */
	function hideAD(obj : /* jcAD.addBannerAD.!ret */ any): void;
		
	/**
	 * 激励广告调用
	 * @param obj 
	 */
	function loadAD(obj : /* jcAD.VideoAds.<i> */ any): void;
		
	/**
	 * 
	 * @param obj 
	 */
	function initAD(obj : /* jcAD.VideoAds.<i> */ any): void;
		
	/**
	 * 
	 */
	function cleanBannerAD(): void;
		
	/**
	 * 
	 */
	function cleanVideoAD(): void;
}
