// Type definitions for ./src/service/jcadsharectrl.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace JCADShareCtrl._rinfoI{
	// JCADShareCtrl._rinfo.<i>.asqueue.<i>
	
	/**
	 * 
	 */
	interface AsqueueI {
				
		/**
		 * 
		 */
		is_share : boolean;
				
		/**
		 * 
		 */
		maxcount : number;
	}
}

/**
 * 
 */
export declare var AD_SHARE_COMMON : string;

/**
 * 
 */
declare namespace JCADShareCtrl{
		
	/**
	 * 
	 */
	export var KEY : string;
		
	/**
	 * 
	 */
	export var SHARE_FLAG : number;
		
	/**
	 * 
	 */
	export var AD_FLAG : number;
		
	/**
	 * 
	 * @param owner 
	 * @param isoffical 
	 */
	function init(owner : any, isoffical : any): void;
		
	/**
	 * 
	 */
	function loginOver(): void;
		
	/**
	 * 
	 * @param cfg 
	 */
	function loadShareConfig(cfg : any): void;
	
	/**
	 * 
	 */
	var _rinfo : {
	}
	
	/**
	 * 
	 */
	var _commonshareinfo : {
				
		/**
		 * 
		 */
		imgurl : string;
				
		/**
		 * 
		 */
		title : string;
				
		/**
		 * 
		 */
		imgindex : number;
	}
		
	/**
	 * 
	 * @param restext 
	 */
	function _loadInfo(restext : any): void;
	
	/**
	 * 
	 */
	namespace _adshare{
	}
		
	/**
	 * 
	 */
	export var _loaded : boolean;
		
	/**
	 * 
	 * @param datastr 
	 */
	function loadInfo(datastr : any): void;
		
	/**
	 * 
	 */
	function saveInfo(): void;
		
	/**
	 * 
	 * @param stype 
	 * @return  
	 */
	function getShareInfo(stype : string): /* JCADShareCtrl._commonshareinfo */ any;
		
	/**
	 * 
	 */
	interface AD_Share {
				
		/**
		 * 
		 * @param stype 
		 * @param param 
		 * @param cb 
		 * @return  
		 */
		new (stype : any, param : any, cb : any): boolean;
	}

		
	/**
	 * 分享内容从服务端配置获取，优先观看视频，观看视频次数耗尽后分享, 一般调用jcfw中的ADShareCommon方法
	 * 视频观看次数从redis配置的video_count获取
	 * 分享内容根据stype,从服务端获取的分享配置中获取, 没有该类型分享配置的话,读取type为adnormal的配置
	 * @param {string} stype  分享类型
	 * @param {object} param  额外参数
	 * @param {function} cb
	 */
	interface AD_Share_Common {
				
		/**
		 * 
		 * @param stype 
		 * @param param 
		 * @param cb 
		 * @return  
		 */
		new (stype : string, param : any, cb : any): boolean;
	}

		
	/**
	 * 检查当天是否还可以播放视频激励广告
	 * @return  
	 */
	function checkAdShareCommon(): boolean;
		
	/**
	 * 
	 * @return  
	 */
	function getRandomVideoAdId(): string;
}
