// Type definitions for ./src/service/jclogin.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace jclogin{
	// jclogin.__login.!4
	type __login4 = ((obj : /* jclogin.__login.__login40 */ any) => void);
}
declare namespace jclogin.__login{
	// jclogin.__login.!4.!0
	
	/**
	 * 
	 */
	interface __login40 {
				
		/**
		 * 
		 */
		isGuest : boolean;
	}
}
declare namespace jclogin{
	// jclogin.__activeWX.!7
	type __activeWX7 = ((obj : any) => void);
}
declare namespace jclogin{
	// jclogin.__loginJCAnonymous.!0
	type __loginJCAnonymous0 = ((code : any) => void);
}
declare namespace jclogin{
	// jclogin.__updateGameDuration.!2
	type __updateGameDuration2 = ((duration : number) => void);
}
declare namespace jclogin{
	// jclogin.login.!1
	type Login1 = ((obj : /* jclogin.__login.!4.!0 */ any) => void);
}
declare namespace jclogin{
	// jclogin.appendUserInfo.!0
	
	/**
	 * 
	 */
	interface AppendUserInfo0 {
				
		/**
		 * 
		 */
		nickname : string;
				
		/**
		 * 
		 */
		country : string;
				
		/**
		 * 
		 */
		province : string;
				
		/**
		 * 
		 */
		city : string;
				
		/**
		 * 
		 */
		avatar_url : string;
				
		/**
		 * 
		 */
		sex : number;
				
		/**
		 * 
		 */
		birthday : string;
				
		/**
		 * 
		 */
		phone : string;
				
		/**
		 * 
		 */
		location : string;
	}
}

/**
 * 
 */
declare namespace jclogin{
		
	/**
	 * update (dt) {},
	 * @param channelid 
	 * @param gameid 
	 * @param tokencode 
	 * @param isoffical 
	 * @param successcb 
	 * @param failcb 
	 * @param openid 
	 * @param isGuest 
	 * @param anonymousToaken 
	 */
	function __login(channelid : any, gameid : any, tokencode : any, isoffical : any, successcb : /* jclogin.__login4 */ any, failcb : any, openid : string, isGuest : number, anonymousToaken : any): void;
		
	/**
	 * 
	 * @param gameid 
	 * @param accountid 
	 * @param sessionid 
	 * @param raw 
	 * @param sign 
	 * @param encyptdata 
	 * @param iv 
	 * @param successcb 
	 * @param failcb 
	 */
	function __activeWX(gameid : any, accountid : string, sessionid : string, raw : any, sign : any, encyptdata : any, iv : any, successcb : /* jclogin.__activeWX7 */ any, failcb : any): void;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 * @param usrinfo 
	 * @param successcb 
	 * @param failcb 
	 */
	function __updateInfo(accountid : string, sessionid : string, usrinfo : /* jclogin.svuserinfo */ any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 * @param signdata 
	 * @param successcb 
	 * @param failcb 
	 */
	function __generalSignature(accountid : string, sessionid : string, signdata : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 * @param sceneid 
	 * @param successcb 
	 * @param failcb 
	 */
	function __generalToken(accountid : string, sessionid : string, sceneid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param channelid 
	 * @param gameid 
	 * @param successcb 
	 * @param failcb 
	 */
	function __getAnnouncement(channelid : any, gameid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param channelid 
	 * @param gameid 
	 * @param successcb 
	 * @param failcb 
	 */
	function __getServerList(channelid : any, gameid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 * @param roleid 
	 * @param nickname 
	 * @param successcb 
	 * @param failcb 
	 */
	function __loginYoume(accountid : string, sessionid : string, roleid : any, nickname : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param account 
	 * @param pwd 
	 * @param phone 
	 * @param smscode 
	 * @param successcb 
	 * @param failcb 
	 */
	function __registerJCAccount(account : any, pwd : any, phone : any, smscode : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param successcb 
	 * @param failcb 
	 */
	function __loginJCAnonymous(successcb : /* jclogin.__loginJCAnonymous0 */ any, failcb : any): void;
		
	/**
	 * 
	 * @param account 
	 * @param pwd 
	 * @param successcb 
	 * @param failcb 
	 */
	function __loginJCByID(account : any, pwd : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param phone 
	 * @param smscode 
	 * @param successcb 
	 * @param failcb 
	 */
	function __loginJCBySMS(phone : any, smscode : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param phone 
	 * @param code_type 
	 * @param successcb 
	 * @param failcb 
	 */
	function __sendSMSCode(phone : any, code_type : number, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param successcb 
	 * @param failcb 
	 */
	function __getIPInfo(successcb : any, failcb : any): void;
		
	/**
	 * 更新在线时长
	 * @param accountid 
	 * @param sessionid 
	 * @param successcb 
	 * @param failcb 
	 * @param sec 
	 */
	function __updateGameDuration(accountid : string, sessionid : string, successcb : /* jclogin.__updateGameDuration2 */ any, failcb : any, sec : number): void;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 * @param name 
	 * @param idcard 
	 * @param isfake 
	 * @param successcb 
	 * @param failcb 
	 */
	function __bindIdCard(accountid : string, sessionid : string, name : string, idcard : string, isfake : boolean, successcb : any, failcb : any): void;
		
	/**
	 * 
	 */
	function _checkUserInfo(): void;
		
	/**
	 * 
	 */
	function _checkNickName(): void;
		
	/**
	 * 
	 * @param info 
	 */
	function _loadLocalInfo(info : any): void;
		
	/**
	 * 
	 */
	export var _localinfoloaded : boolean;
		
	/**
	 * 
	 * @param tokeninfo 
	 */
	function _loadTokenInfo(tokeninfo : any): void;
		
	/**
	 * 
	 */
	export var _localtokenloaded : boolean;
		
	/**
	 * 
	 * @param info 
	 */
	function _loadServerInfo(info : any): void;
		
	/**
	 * 
	 */
	export var svuserinfo : /*no type*/{};
		
	/**
	 * 
	 */
	export var _svinfoloaded : boolean;
		
	/**
	 * 
	 * @param svinfo 
	 * @param lcinfo 
	 * @return  
	 */
	function _combineInfo(svinfo : /* jclogin.svuserinfo */ any, lcinfo : any): boolean;
		
	/**
	 * 
	 */
	function _checkOnlineTime(): void;
		
	/**
	 * 
	 */
	export var _tid : number;
		
	/**
	 * 
	 */
	function _stopOnlineTime(): void;
		
	/**
	 * 
	 * @param channelid 
	 * @param gameid 
	 * @param isoffical 
	 * @param owner 
	 * @param env 
	 * @param url 
	 * @param polychannelid 
	 */
	function init(channelid : any, gameid : any, isoffical : any, owner : any, env : any, url : any, polychannelid : any): void;
		
	/**
	 * 
	 */
	export var sessionid : string;
		
	/**
	 * 
	 */
	export var accountid : string;
		
	/**
	 * 
	 */
	export var openid : string;
		
	/**
	 * 
	 */
	export var logined : boolean;
		
	/**
	 * 
	 * @param token 
	 * @param successcb 
	 * @param failcb 
	 * @param openid 
	 * @param isGuest 
	 * @param anonymousToaken 
	 */
	function login(token : any, successcb : jclogin.Login1, failcb : any, openid : string, isGuest : number, anonymousToaken : any): void;
		
	/**
	 * 
	 */
	export var actived : boolean;
		
	/**
	 * 
	 */
	export var login_costtime : number;
		
	/**
	 * 登陆平台
	 * @param successcb 
	 * @param failcb 
	 * @param exparam 
	 * @param timecb 
	 */
	function loginPT(successcb : any, failcb : any, exparam : any, timecb : any): void;
		
	/**
	 * 
	 */
	export var _loginstarttime : number;
		
	/**
	 * 更新用户信息
	 * @param userinfo 
	 * @param tokeninfo 
	 * @param successcb 
	 * @param failcb 
	 */
	function updatePTInfo(userinfo : any, tokeninfo : any, successcb : any, failcb : any): void;
		
	/**
	 * 登陆游密
	 * @param uid 
	 * @param uname 
	 * @param successcb 
	 * @param failcb 
	 */
	function loginYoume(uid : any, uname : any, successcb : any, failcb : any): void;
		
	/**
	 * 登陆金蚕（已有账户登录或新建账户登录）
	 * @param info 
	 * @param successcb 
	 * @param failcb 
	 */
	function loginJC(info : any, successcb : any, failcb : any): void;
		
	/**
	 * 匿名登陆
	 * @param successcb 
	 * @param failcb 
	 */
	function loginAnonymous(successcb : any, failcb : any): void;
		
	/**
	 * 注册金蚕
	 * @param info 
	 * @param successcb 
	 * @param failcb 
	 */
	function registerJC(info : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param phone 
	 * @param successcb 
	 * @param failcb 
	 */
	function sendSMSForLogin(phone : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param phone 
	 * @param successcb 
	 * @param failcb 
	 */
	function sendSMSForRegister(phone : any, successcb : any, failcb : any): void;
		
	/**
	 * 获取用户信息后调用此方法激活账号（info为空说明授权失败）
	 * @param userinfo 
	 * @param tokeninfo 
	 * @param successcb 
	 * @param failcb 
	 */
	function updateuserinfo(userinfo : any, tokeninfo : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param res 
	 * @param successcb 
	 * @param failcb 
	 */
	function activewx(res : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param usrinfo 
	 * @param successcb 
	 * @param failcb 
	 */
	function updateinfo(usrinfo : /* jclogin.svuserinfo */ any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param sceneid 
	 * @param successcb 
	 * @param failcb 
	 */
	function getToken(sceneid : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param signdata 
	 * @param successcb 
	 * @param failcb 
	 */
	function getSignature(signdata : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param successcb 
	 * @param failcb 
	 */
	function getAnnouncement(successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param successcb 
	 * @param failcb 
	 */
	function getServerList(successcb : any, failcb : any): void;
		
	/**
	 * @param {string} name : 真实姓名
	 * @param {string} idcard : 真实身份证号
	 * @param {boolean} isfake : 是否是假的（不校验）
	 * @param {object} successcb : 成功回调，参数为玩家年龄
	 * @param {object} failcb : 失败回调
	 * @param name 
	 * @param idcard 
	 * @param isfake 
	 * @param successcb 
	 * @param failcb 
	 */
	function bindIdCard(name : string, idcard : string, isfake : boolean, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param successcb 
	 * @param failcb 
	 */
	function updateOnlineTime(successcb : () => void, failcb : any): void;
		
	/**
	 * 
	 * @return  
	 */
	function isActived(): /* !this.actived */ any;
		
	/**
	 * 
	 */
	interface AccountID {
				
		/**
		 * 
		 * @param openid 
		 * @return  
		 */
		new (openid : any): /* !this.accountid */ any;
	}

		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 */
	function setAccountID(accountid : any, sessionid : any): void;
		
	/**
	 * 
	 * @param nickname 
	 */
	function setNickName(nickname : any): void;
		
	/**
	 * 
	 * @param appid 
	 */
	function setFromAppID(appid : any): void;
		
	/**
	 * 
	 * @param uuid 
	 */
	function setLocalUUID(uuid : any): void;
		
	/**
	 * 
	 */
	function clear(): void;
		
	/**
	 * 
	 * @param info 
	 */
	function setSystemInfo(info : any): void;
		
	/**
	 * 
	 * @param dstinfo 
	 * @param srcinfo 
	 * @return  
	 */
	function appendUserInfo(dstinfo : jclogin.AppendUserInfo0, srcinfo : any): boolean;
}
