// Type definitions for ./src/service/jcrank.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped

/**
 * 
 */
declare namespace jcrank{
		
	/**
	 * 
	 * @param channelid 
	 * @param gameid 
	 * @param isoffical 
	 * @param owner 
	 * @param url 
	 */
	function init(channelid : any, gameid : any, isoffical : any, owner : any, url : any): void;
		
	/**
	 * 
	 * @param nickname 
	 */
	function setNickName(nickname : any): void;
		
	/**
	 * 
	 */
	export var nickname : string;
		
	/**
	 * 
	 * @param avatar 
	 */
	function setAvatar(avatar : any): void;
		
	/**
	 * 
	 */
	export var avatar_url : string;
		
	/**
	 * 
	 * @param info 
	 */
	function setUserInfo(info : any): void;
		
	/**
	 * 
	 * @return  
	 */
	function canShowSelf(): /* !this.nickname */ any;
		
	/**
	 * 世界排行榜
	 * successcb各参数，
	 *  - param0 用户列表
	 *  - param1 当前用户的rank，显示时须+1
	 *  - param2 当前用户最高分
	 *  - param3 当前用户的段位
	 * @param successcb 
	 * @param failcb 
	 */
	function reqRankList(successcb : any, failcb : any): void;
		
	/**
	 * 上报用户分数
	 * @param {number} score 分数
	 * @param {function} successcb
	 * @param {function} failcb
	 * @title {string}  段位
	 * @extInfo {string} 额外信息
	 * @param score 
	 * @param successcb 
	 * @param failcb 
	 * @param title 
	 * @param extinfo 
	 */
	function updateRank(score : number, successcb : any, failcb : any, title : any, extinfo : any): void;
		
	/**
	 * 挑战列表
	 * @param score 
	 * @param successcb 
	 * @param failcb 
	 * @param count 
	 */
	function rankChallenge(score : any, successcb : any, failcb : any, count : any): void;
		
	/**
	 * 
	 * @param data 
	 * @return  
	 */
	function jsonToKeyVal(data : any): string;
}
