// Type definitions for ./src/service/jcshare.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace jcshare{
	// jcshare.acceptAchivementInvite.!0
	type AcceptAchivementInvite0 = Array<any>;
}
declare namespace jcshare{
	// jcshare.queryAchievementShareStat.!0
	type QueryAchievementShareStat0 = Array<any>;
}
declare namespace jcshare{
	// jcshare.queryAchievementShareDetail.!0
	type QueryAchievementShareDetail0 = Array<any>;
}

/**
 * 
 */
declare namespace jcshare{
		
	/**
	 * update (dt) {},
	 * @param channelid 
	 * @param gameid 
	 * @param isoffical 
	 * @param owner 
	 * @param url 
	 */
	function init(channelid : any, gameid : any, isoffical : any, owner : any, url : any): void;
		
	/**
	 * 
	 * @param accountid 
	 * @param sessionid 
	 */
	function setAccountID(accountid : any, sessionid : any): void;
		
	/**
	 * 
	 * @param nickname 
	 */
	function setNickName(nickname : any): void;
		
	/**
	 * 
	 * @param appid 
	 */
	function setFromAppID(appid : any): void;
		
	/**
	 * 
	 * @param uuid 
	 */
	function setLocalUUID(uuid : any): void;
		
	/**
	 * 
	 * @param info 
	 */
	function setSystemInfo(info : any): void;
		
	/**
	 * 
	 * @param info 
	 */
	function setUserInfo(info : any): void;
		
	/**
	 * 接受邀请（分级时用，大部分时候不用此接口）
	 * @param {string} actionid  业务号
	 * @param {string} inviterid  邀请方账号id
	 * @param {object} successcb  成功回调（以下该名称都是此功能）
	 * @param {object} failcb 失败回调（以下该名称都是此功能）
	 * @param actionid 
	 * @param inviterid 
	 * @param successcb 
	 * @param failcb 
	 */
	function acceptInvite(actionid : string, inviterid : string, successcb : any, failcb : any): void;
		
	/**
	 * 查询子节点数据（分级时用，大部分时候不用此接口）
	 * @param {string} actionid 业务号
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryShareStat(actionid : string, successcb : any, failcb : any): void;
		
	/**
	 * 查询接受邀请人的详细信息（分级时用，大部分时候不用此接口）
	 * @param {string} actionid 业务号
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryShareDetail(actionid : string, successcb : any, failcb : any): void;
		
	/**
	 * 每日任务的接受邀请【使用jcfw的话无需主动调用】
	 * @param {string} actionid 任务id
	 * @param {string} inviterid 邀请方账号id
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param inviterid 
	 * @param successcb 
	 * @param failcb 
	 */
	function acceptDailyInvite(actionid : string, inviterid : string, successcb : any, failcb : any): void;
		
	/**
	 * 每日任务的查询接受邀请的人数
	 * @param {string} actionid 业务号
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryDailyShareStat(actionid : string, successcb : any, failcb : any): void;
		
	/**
	 * 每日任务的查询接受邀请人的详细信息
	 * @param {string} actionid 业务号
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryDailyShareDetail(actionid : string, successcb : any, failcb : any): void;
		
	/**
	 * 上报游戏分数，获取兑换码
	 * @param {string} score 分数
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param score 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryActionCode(score : string, successcb : any, failcb : any): void;
		
	/**
	 * 接力活动的接受邀请
	 * @param {string} actionid 任务id
	 * @param {string} inviterid 邀请方账号id
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param inviterid 
	 * @param successcb 
	 * @param failcb 
	 */
	function acceptRelayInvite(actionid : string, inviterid : string, successcb : any, failcb : any): void;
		
	/**
	 * 接力活动的查询接受邀请的人数
	 * @param {string} actionid 业务号
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionid 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryRelayShareStat(actionid : string, successcb : any, failcb : any): void;
		
	/**
	 * 成就的接受邀请
	 * @param {Array} relationidlst 有关联的成就id列表，格式如下：[[1001,3], [1002,3], [1003,3]]
	 * @param {string} inviterid 邀请方账号id
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param relationidlst 
	 * @param inviterid 
	 * @param successcb 
	 * @param failcb 
	 */
	function acceptAchivementInvite(relationidlst : jcshare.AcceptAchivementInvite0, inviterid : string, successcb : any, failcb : any): void;
		
	/**
	 * 成就的查询接受邀请的人数
	 * @param {Array} actionidlst  成就id列表，格式如下：[1001,1002,1003]
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionidlst 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryAchievementShareStat(actionidlst : jcshare.QueryAchievementShareStat0, successcb : any, failcb : any): void;
		
	/**
	 * 成就的查询接受邀请的详细信息
	 * @param {Array} actionidlst  成就id列表，格式如下：[1001,1002,1003]
	 * @param {object} successcb
	 * @param {object} failcb
	 * @param actionidlst 
	 * @param successcb 
	 * @param failcb 
	 */
	function queryAchievementShareDetail(actionidlst : jcshare.QueryAchievementShareDetail0, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param key 
	 * @param data 
	 * @param successcb 
	 * @param failcb 
	 */
	function writeShareData(key : any, data : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param key 
	 * @param successcb 
	 * @param failcb 
	 */
	function readShareData(key : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param str 
	 * @param successcb 
	 * @param failcb 
	 */
	function dirtyCheck(str : any, successcb : any, failcb : any): void;
}
