// Type definitions for ./src/utils/commonutils.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace commonutils{
	// commonutils.calcWeight.!0
	type CalcWeight0 = Array<commonutils.calcWeight.CalcWeight0I>;
}
declare namespace commonutils.calcWeight{
	// commonutils.calcWeight.!0.<i>
	type CalcWeight0I = Array<any>;
}
declare namespace commonutils{
	// commonutils.calcRandNotRepet.!0
	type CalcRandNotRepet0 = /* [[? */ any | Array</* ?] */ any> | /* ?] */ any;
}
declare namespace commonutils{
	// commonutils.playAniFrames.!0
	
	/**
	 * 
	 */
	interface PlayAniFrames0 {
				
		/**
		 * 
		 */
		defaultClip : /*no type*/{};
	}
}
declare namespace commonutils{
	// commonutils.playAniFrames.!1
	type PlayAniFrames1 = Array<any>;
}
declare namespace commonutils{
	// commonutils.getCirclePoints.!ret
	type GetCirclePointsRet = Array<any>;
}

/**
 * 
 */
declare namespace commonutils{
		
	/**
	 * 是否是全面屏
	 * @return  
	 */
	function isFringeScreen(): boolean;
		
	/**
	 * 
	 * @param obj 
	 * @return  
	 */
	function clone(obj : {} | Array<any>): any;	
	/**
	 * 
	 */
	function clone();
		
	/**
	 * 
	 * @param obj 
	 * @return  
	 */
	function cloneSimple(obj : any): any;
		
	/**
	 * 
	 * @param obj 
	 * @return  
	 */
	function cloneFull(obj : any): any;	
	/**
	 * 
	 */
	function cloneFull();
		
	/**
	 * [计算权重]
	 * @param  {[array]} obj_vec [对象数组，对象中要有权重变量weight]
	 * @return {[number]}         [obj_vec数组索引]
	 * @param obj_vec 
	 * @return  
	 */
	function calcWeight(obj_vec : commonutils.CalcWeight0): number;	
	/**
	 * [计算权重]
	 * @param  {[array]} obj_vec [对象数组，对象中要有权重变量weight]
	 * @return {[number]}         [obj_vec数组索引]
	 */
	function calcWeight();
		
	/**
	 * 
	 * @param obj_vec 
	 * @param count 
	 * @return  
	 */
	function calcRandNotRepet(obj_vec : commonutils.CalcRandNotRepet0, count : any): /* [[? */ any;	
	/**
	 * 
	 */
	function calcRandNotRepet();	
	/**
	 * 
	 */
	function calcRandNotRepet();
		
	/**
	 * @param {Component} animation: cc.animation组件
	 * @param {Array} frames : spriteframe对象列表
	 * @param {Boolean} isloop : 是否循环播放
	 * @param {number} sample : 每秒帧率，默认20
	 * @param animation 
	 * @param frames 
	 * @param isloop 
	 * @param sample 
	 */
	function playAniFrames(animation : commonutils.PlayAniFrames0, frames : commonutils.PlayAniFrames1, isloop : boolean, sample : number): void;
		
	/**
	 * 以某点为圆心，生成圆周上等分点的坐标
	 * 
	 * @param {cc.Vec2} pos 圆心坐标
	 * @param {number} r 半径
	 * @param {number} count 等分点数量
	 * @param {number} [randomScope=60] 等分点的随机波动范围
	 * @returns {cc.Vec2[]} 返回等分点坐标
	 * @param pos 
	 * @param r 
	 * @param count 
	 * @param randomScope? 
	 * @return  
	 */
	function getCirclePoints(pos : any, r : number, count : number, randomScope? : number): commonutils.GetCirclePointsRet;
		
	/**
	 * @param {cc.Prefab} pbCoin : coin预制体
	 * @param {cc.Node} ndSrc : 生成coin的节点
	 * @param {cc.Node} ndDst : coin飞到的节点
	 * @param {number} count : 一次生成多少coin
	 * @param {number} offset : coin离出生点偏移量
	 * @param {cc.NodePool} pbPool : coin对象池
	 * @param pbCoin 
	 * @param ndSrc 
	 * @param ndDst 
	 * @param count 
	 * @param offset 
	 * @param pbPool 
	 */
	function playCoinFlyAni(pbCoin : any, ndSrc : any, ndDst : any, count : number, offset : number, pbPool : any): void;
}
