// Type definitions for ./src/utils/storageutils.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped

/**
 * 
 */
declare namespace COMMON_STORAGE{
		
	/**
	 * @param {string} skey
	 * @param {string} svalue
	 * @param {function} successcb
	 * @param {function} failcb
	 * @param {number} limitday 过期天数
	 * @param {number} resetTime 几点重置
	 * @param skey 
	 * @param svalue 
	 * @param successcb 
	 * @param failcb 
	 * @param limitday 
	 * @param resetTime 
	 */
	function setStorage(skey : string, svalue : string, successcb : any, failcb : any, limitday : number, resetTime : number): void;
		
	/**
	 * 
	 * @param kvlist 
	 * @param successcb 
	 * @param failcb 
	 */
	function setStorages(kvlist : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param key 
	 * @param successcb 
	 * @param failcb 
	 */
	function getStorage(key : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param keylist 
	 * @param successcb 
	 * @param failcb 
	 */
	function getStorages(keylist : any, successcb : any, failcb : any): void;
		
	/**
	 * 
	 * @param owner 
	 * @param isoffical 
	 * @param cloud 
	 */
	function init(owner : any, isoffical : any, cloud : any): void;
		
	/**
	 * 
	 */
	export var _isoffical : boolean;
		
	/**
	 * 临时测试用
	 */
	export var _iscloud : boolean;
		
	/**
	 * 
	 * @param cloud 
	 */
	function setCloud(cloud : any): void;
		
	/**
	 * 
	 * @param iscloud 
	 */
	function setCloudFlag(iscloud : any): void;
		
	/**
	 * 
	 * @return  
	 */
	function getCloudFlag(): /* !this._iscloud */ any;
}
