// Type definitions for ./src/utils/strutils.js
// Project: [LIBRARY_URL_HERE]
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]>
// Definitions: https://github.com/borisyankov/DefinitelyTyped

/**
 *
 */
declare namespace strutils{

	/**
	 *
	 * @param num
	 * @return
	 */
	function getLittleNumber(num : any): string;
	/**
	 *
	 */
	function getLittleNumber();

	/**
	 *
	 * @param num
	 * @return
	 */
	function getDotNumber(num : number): string;

	/**
	 *
	 * @param nMax
	 * @param nMin
	 * @return
	 */
	function randomInt(nMax : any, nMin : any): number;

	/**
	 *
	 * @param percent
	 * @param ratio
	 * @return
	 */
	function randomBool(percent : any, ratio : any): boolean;

	/**
	 * 格式化金额显示
	 * @param {Number} count 以分为单位的金额
	 * @param {Number} 以元为单位的金额
	 * @param count
	 * @return
	 */
	function formatMoney(count : number): string;

	/**
	 * 自定义String prototype 方法
	 */
	function initStringPrototype(): void;

	/**
	 * let test = [];
	 * test["name"] = "test";
	 * test["age"] = 21;
	 * console.log("我是{name}，今年{age}了".format(test));
	 *
	 * test = [];
	 * test[0] = "test2";
	 * test.push(21);
	 * console.log("我是{0}，今年{1}了".format(test));
	 * console.log("我是{0}，今年{1}了".format(test[0],test[1]));
	 *
	 * test = {};
	 * test.name = "test3";
	 * test.age = 21;
	 * console.log("我是{name}，今年{age}了".format(test));
	 * @param args
	 * @return
	 */
	function _format(args : any): /* !this */ any;

	interface String {

		/**
		 *
		 */
		prototype : {

			/**
			 *
			 */
			format : /* strutils._format */ any;
		}
	}
}
